Commit
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{collectionId}/item-drafts/commit \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"categoryId": "<string>",
"productTypeId": "<string>",
"columnsAttributes": {},
"guidance": [
{
"kind": "instruction",
"text": "<string>",
"assigneeRoleGroupIds": []
}
],
"requestKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collectionVersion": 123,
"entryDetails": {
"quantity": "<string>",
"parLevel": "<string>",
"applyParToPurchaseQuantity": true,
"areaReference": "<string>",
"notes": [
"<string>"
]
}
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{collectionId}/item-drafts/commit"
payload = {
"name": "<string>",
"categoryId": "<string>",
"productTypeId": "<string>",
"columnsAttributes": {},
"guidance": [
{
"kind": "instruction",
"text": "<string>",
"assigneeRoleGroupIds": []
}
],
"requestKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collectionVersion": 123,
"entryDetails": {
"quantity": "<string>",
"parLevel": "<string>",
"applyParToPurchaseQuantity": True,
"areaReference": "<string>",
"notes": ["<string>"]
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
categoryId: '<string>',
productTypeId: '<string>',
columnsAttributes: {},
guidance: [{kind: 'instruction', text: '<string>', assigneeRoleGroupIds: []}],
requestKey: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
collectionVersion: 123,
entryDetails: {
quantity: '<string>',
parLevel: '<string>',
applyParToPurchaseQuantity: true,
areaReference: '<string>',
notes: ['<string>']
}
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{collectionId}/item-drafts/commit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"familyId": "<string>",
"collectionId": "<string>",
"entryId": "<string>",
"itemId": "<string>",
"version": 123,
"ownerVersion": 123,
"name": "<string>",
"categoryId": "<string>",
"productTypeId": "<string>",
"columnsAttributes": {},
"columns": [
{
"isCore": true,
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"type": "text",
"logicType": "catalog_family",
"scopeType": "default",
"categoryIds": [
"<string>"
],
"options": [
{}
],
"description": "<string>",
"syncClass": "core",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"guidance": {
"revision": 123,
"classification": {
"categoryId": "<string>",
"productTypeId": "<string>"
},
"instructions": [
{
"groupId": "<string>",
"groupLineageId": "<string>",
"groupLabel": "<string>",
"items": [
{
"id": "<string>",
"lineageId": "<string>",
"text": "<string>",
"assigneeRoleGroupIds": [
"warehouse"
],
"position": 123,
"origin": "category"
}
]
}
],
"requirements": [
{
"groupId": "<string>",
"groupLineageId": "<string>",
"groupLabel": "<string>",
"items": [
{
"id": "<string>",
"lineageId": "<string>",
"text": "<string>",
"assigneeRoleGroupIds": [
"warehouse"
],
"position": 123,
"origin": "category"
}
]
}
],
"furnishedInstalledBy": {
"value": "OFCI",
"origin": "none"
},
"ownedInstructions": [
{
"id": "<string>",
"text": "<string>",
"assigneeRoleGroupIds": [
"warehouse"
]
}
],
"ownerVersion": 123,
"linkedInstructions": [
{
"id": "<string>",
"text": "<string>",
"assigneeRoleGroupIds": [
"warehouse"
],
"key": "<string>",
"source": {
"kind": "catalog",
"id": "<string>",
"name": "<string>",
"version": 123,
"collectionId": "<string>",
"collectionVersion": 123
},
"disabled": true
}
]
},
"collectionVersion": 123,
"coreChangePolicy": {}
}Collection Item Draft
Commit
POST
/
v1
/
workspaces
/
{workspaceId}
/
collections
/
{collectionId}
/
item-drafts
/
commit
Commit
Path Parameters
Pattern:
^[1-9]\d*$Pattern:
^[1-9]\d*$Body
application/json
Required string length:
1 - 255Pattern:
^[1-9]\d*$Pattern:
^[1-9]\d*$Show child attributes
Show child attributes
Maximum array length:
20Show child attributes
Show child attributes
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Required range:
x <= 9007199254740991Show child attributes
Show child attributes
Response
201 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I